svn2revisioninc(1)

NAME
svn2revisioninc - The Lazarus utility to create revision.inc file from SVN repository.

SYNOPSIS
svn2revisioninc
svn2revisioninc [Options] <repository path> <output file>
svn2revisioninc <repository path> [Options] <output file>

DESCRIPTION
svn2revisioninc is used by Lazarus build system to create revision.inc file from SVN repository.

NOTES

1st switchless parameter = <repository path> (default is current directory)

2nd switchless parameter = <output file> (default is default revision.inc)

OPTIONS

-h  Displays a short help message.

--o Output file. This overrides <output file>

--c=<name>
    Name of constant (default RevisionStr ).

--s write revision to stdout, do not create inc file

--v Be verbose

SEE ALSO

    lazarus-ide(1) startlazarus(1) lazbuild(1) fpc(1) ld(1) fpcmake(1) make(1)

Websites

    http://www.lazarus.freepascal.org